% Master file to perform the estimations in Section 3
% Make sure to change the data path accordingly in each file.
% data folder is currently at "../data"
% estimates are stored at folder "../estimates"
% exported data are at folder "../data_graph"


% The following matlab code calls subroutines from the subroutine fold
matest_f5000w0m1 
matest_f5000w1m1
matest_f5000w2m1
matest_f5000w3m1
matest_f5000w4m1
matest_f5000w5m1


% The following matlab code use bootstrapping to calculate se
boots_f5000w0m1
boots_f5000w1m1
boots_f5000w2m1
boots_f5000w3m1
boots_f5000w4m1
boots_f5000w5m1


% Export the baseline results as txt file for figure 3
export_baseline


% Export all relevant estimates for future use
export_est


% Run simulation at beta = 0.5
simulation