function [beta_now,est_now,pass] = search_checklocal(est_prev,params)
    
    grid_loc = params.grid_loc;
    HCn_prev = est_prev(:,2);
    LOC1 = find(HCn_prev(1:end-1).*HCn_prev(2:end)<0);

    if size(LOC1,1) > 1
        fprintf('!The moment function cross zero MULTIPLE times \n') 
        fprintf('!Make global search grids finer \n') 
        Beta_prev = est_prev(:,1);
        beta_now  = interp1(HCn_prev,Beta_prev,0,'linear','extrap');
        lower = beta_now - 0.05;
        upper = beta_now + 0.05;
        Beta_now = linspace(lower,upper,grid_loc)';
        HCn_now  = NaN(size(Beta_now));
        est_now  = [Beta_now,HCn_now];
        pass = 0;
        
    elseif size(LOC1,1) == 1
        loc = [LOC1,LOC1+1];       
        [beta_now,est_now] = ...
            search_localsetup(loc,est_prev,grid_loc);
        pass = 1;
    end

end