function [params,estfin] = search_finalbeta_ho(mat,params,Betahat)
    
    fprintf('Estimation using final beta ... \n')
    numbeta = length(Betahat);

    % Estimate relevant matrices and parameters given final beta
    estfin= cell(numbeta,1);
    for b = 1:numbeta
        betahat = Betahat(b);
        [HCn_fin,est] = get_HOn(betahat,mat,params);
        estfin{b}     = est;
        fprintf('Final beta #%d = %d, HCn = %d \n', b, betahat, HCn_fin);
        params.Beta_all = [params.Beta_all; betahat ];   
        params.HCn_all  = [params.HCn_all ; HCn_fin ];   
    end
    params.betafin = Betahat; %copy final beta to params
      
end