% baseline results
clear all
hmax = 5;
jmax = hmax+1;
beta_collect   = NaN(jmax,1);
betase_collect = NaN(jmax,1);
ixb = 1;  %index for baseline

% for each h
for i = 0:hmax
    ixj = i + 1;
    hval = num2str(i);
    params = load(strcat('../estimates/params_f5000w',hval,'m1.mat'));
    if i == 0 
        beta = params.Beta_all; 
        HOn  = params.HCn_all;  %for moments
    end
    betafin = params.betafin;
    beta_collect(ixj,ixb) = betafin;

    btbeta = load(strcat('../estimates/boots_f5000w',hval,'m1.mat'));
    betase_collect(ixj,ixb) = std(btbeta);

end

% Export beta
filename = '../data_graph/beta_all.txt';
writematrix(beta_collect,filename)

% export se
filename = '../data_graph/bootstd.txt';
writematrix(betase_collect,filename)

% for moments graph
output = [beta,HOn];
writematrix(output, '../data_graph/formoments.txt')
