function [dhat] = initial_dhat(mat,params)

    %Load struct
    Xy = mat.Xy;
    XX = mat.XX;
    
    %Params
    tol    = params.tol0;
    maxite = params.maxite;

    %Intial delta using beta=0
    L    = get_L(XX);
    dhat = pcg(XX,Xy,tol,maxite,L,L');                              
                                             
end