function [idn,idw,idf,lagidf,ite] = multiworker(idn,data_temp)

    idn_raw   = data_temp(:,1);
    idw_raw   = data_temp(:,2);
    idf_raw   = data_temp(:,3);
    idp_raw   = data_temp(:,5);
    
    sel = ismember(idn_raw,idn);
    idp = idp_raw(sel);
    idw = idw_raw(sel);   
    
    check = 99;
    ite   = 0;
    while check > 0   

        % identify single peer at 0 and at -1
        [countp,uni_peers] = groupcounts(idp); %count number of workers in a peer
        singleworker_peer = uni_peers(countp == 1);
        [~,loc] = ismember(singleworker_peer,idp);                 
        
        % Remove obs
        idn_todrop =idn(loc);
        sel = ~ismember(idn,idn_todrop); 
        idn =idn(sel);
        idw =idw(sel);
        idp=idp(sel); 
        
%         % Identify workers less than 2 years
%         [countw,uni_w] = groupcounts(idw);
%         singleobs = uni_w(countw == 1);
%         
%         % Remove obs
%         sel =~ismember(idw,singleobs); 
%         idn =idn(sel);
%         idw =idw(sel);
%         idp=idp(sel);    
        
        % check       
        check = length(loc); % + length(singleobs);
        ite   = ite + 1; 

    end
    
    sel=ismember(idn_raw,idn);
    idw    = idw_raw(sel);
    idf    = idf_raw(sel);
    lagidf = createlag(idw,idf) ;

end

